slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPSetJacobian

Sets the function to compute the Jacobian T'(lambda) as well as the location to store the matrix.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSetJacobian(NEP nep,Mat A,PetscErrorCode (*jac)(NEP nep,PetscScalar lambda,Mat J,void *ctx),void *ctx)

Collective

### Input Parameters

| nep | - the NEP context
| A | - Jacobian matrix
| jac | - Jacobian evaluation routine (if NULL then NEP retains any previously set value)
| ctx | - [optional] user-defined context for private data for the Jacobian evaluation routine (may be NULL) (if NULL then NEP retains any previously set value)

### Calling sequence of jac

     PetscErrorCode jac(NEP nep,PetscScalar lambda,Mat J,void *ctx)

| nep | - the NEP context
| lambda | - the scalar argument where T'(.) must be evaluated
| J | - matrix that will contain T'(lambda)
| ctx | - (optional) user-defined context, as set by NEPSetJacobian()

### See Also

NEPSetFunction(), NEPGetJacobian()

### Level

beginner

### Location

src/nep/interface/nepbasic.c

### Examples

src/nep/tutorials/ex20.c
src/nep/tutorials/ex20f.F90
src/nep/tutorials/ex21.c
src/nep/tutorials/ex27.c
src/nep/tutorials/ex27f.F90
src/nep/tutorials/ex54f.F90
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages